{
  "name": "ngfrontend",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "move-assets": ". ./move-assets.sh",
    "build-enduser-production": "./node_modules/.bin/ng build --configuration=production-enduser && npm run move-assets --panel=enduser",
    "build-staff-production": "./node_modules/.bin/ng build --configuration=production-staff && npm run move-assets --panel=staff"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "17.3.8",
    "@angular/cdk": "17.3.8",
    "@angular/common": "17.3.8",
    "@angular/compiler": "17.3.8",
    "@angular/core": "17.3.8",
    "@angular/forms": "17.3.8",
    "@angular/localize": "17.3.8",
    "@angular/material": "17.3.8",
    "@angular/material-moment-adapter": "17.3.8",
    "@angular/platform-browser": "17.3.8",
    "@angular/platform-browser-dynamic": "17.3.8",
    "@angular/router": "17.3.8",
    "@tinymce/tinymce-angular": "8.0.0",
    "angular-gridster2": "17.0.0",
    "chart.js": "2.9.4",
    "flag-icons": "7.2.3",
    "material-symbols": "^0.20.0",
    "rxjs": "~7.8.1",
    "tinymce": "7.2.0",
    "ts-md5": "1.3.1",
    "tslib": "2.6.3",
    "zone.js": "0.14.7"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "17.3.8",
    "@angular/cli": "17.3.8",
    "@angular/compiler-cli": "17.3.8",
    "@playwright/test": "^1.44.1",
    "typescript": "5.3.3"
  },
  "optionalDependencies": {
    "@angular-eslint/builder": "17.5.0",
    "@angular-eslint/eslint-plugin": "17.5.0",
    "@angular-eslint/eslint-plugin-template": "17.5.0",
    "@angular-eslint/schematics": "17.5.0",
    "@angular-eslint/template-parser": "17.5.0",
    "@angular/language-service": "17.3.8",
    "@types/jasmine": "~5.1.4",
    "@types/jasminewd2": "~2.0.13",
    "@types/node": "20.14.5",
    "@typescript-eslint/eslint-plugin": "7.10.0",
    "@typescript-eslint/parser": "7.10.0",
    "eslint": "8.57.0",
    "eslint-plugin-import": "latest",
    "eslint-plugin-jsdoc": "latest",
    "eslint-plugin-prefer-arrow": "latest",
    "eslint-plugin-security": "1.7.1",
    "jasmine-core": "~5.1.2",
    "jasmine-reporters": "2.5.2",
    "jasmine-spec-reporter": "~7.0.0",
    "karma": "~6.4.3",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage-istanbul-reporter": "~3.0.3",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "2.1.0",
    "karma-spec-reporter": "0.0.36",
    "ts-node": "~10.9.2"
  }
}
